#pragma once
#ifndef LIST
#define LIST
#include <list>
#endif
#include "AbstractSimulationResultDTO.h"


class DTOIterator
{
public:
	AbstractSimulationResultDTO* nextResult();

	AbstractSimulationResultDTO* firstResult();

	AbstractSimulationResultDTO* currentResult();

	bool hasNextResult();

	DTOIterator(list<AbstractSimulationResultDTO*>* _components){
		components = _components;
	}

private:
	list<AbstractSimulationResultDTO*>* components;

};